# Uses of Enum
org.apache.qpid.proton.amqp.transport.DeliveryState.DeliveryStateType

Packages that use DeliveryState.DeliveryStateType
Package
Description
org.apache.qpid.proton.amqp.messaging
org.apache.qpid.proton.amqp.transaction
org.apache.qpid.proton.amqp.transport

## Uses of DeliveryState.DeliveryStateType in org.apache.qpid.proton.amqp.messaging

Methods in org.apache.qpid.proton.amqp.messaging that return DeliveryState.DeliveryStateType
Modifier and Type
Method
Description
`DeliveryState.DeliveryStateType`
Accepted.`getType()`
`DeliveryState.DeliveryStateType`
Modified.`getType()`
`DeliveryState.DeliveryStateType`
Received.`getType()`
`DeliveryState.DeliveryStateType`
Rejected.`getType()`
`DeliveryState.DeliveryStateType`
Released.`getType()`

## Uses of DeliveryState.DeliveryStateType in org.apache.qpid.proton.amqp.transaction

Methods in org.apache.qpid.proton.amqp.transaction that return DeliveryState.DeliveryStateType
Modifier and Type
Method
Description
`DeliveryState.DeliveryStateType`
Declared.`getType()`
`DeliveryState.DeliveryStateType`
TransactionalState.`getType()`

## Uses of DeliveryState.DeliveryStateType in org.apache.qpid.proton.amqp.transport

Methods in org.apache.qpid.proton.amqp.transport that return DeliveryState.DeliveryStateType
Modifier and Type
Method
Description
`DeliveryState.DeliveryStateType`
DeliveryState.`getType()`
`static DeliveryState.DeliveryStateType`
DeliveryState.DeliveryStateType.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static DeliveryState.DeliveryStateType[]`
DeliveryState.DeliveryStateType.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.